#include "component_redirects.h"

/* Sets redirects component info. */
void
component_redirects_init(ComponentRedirects* self, u32 max)
{
	self->max = max;
	self->value = self->max;
}

/* Ticks redirects component. If redirectss are depleted, marks as out. */
void
component_redirects_tick(ComponentRedirects* self, ECS* ecs)
{
	if (self->value <= 0)
		self->isOut = true;
	else
		self->isOut = false;
}
